> ## Documentation Index
> Fetch the complete documentation index at: https://docs.eldra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Fixes an unknown client association by linking them to the correct client and portal.



## OpenAPI

````yaml https://raw.githubusercontent.com/FooBarBizarre/docs/refs/heads/main/api-reference/openapi.json post /organisations/fix-unknown-client
openapi: 3.0.1
info:
  title: Maia Backend API
  version: v1
servers: []
security: []
paths:
  /organisations/fix-unknown-client:
    post:
      tags:
        - Organisation
      summary: >-
        Fixes an unknown client association by linking them to the correct
        client and portal.
      requestBody:
        description: >-
          The request containing client and portal information to fix the
          unknown client association.
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FixUnknownClientRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/FixUnknownClientRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/FixUnknownClientRequest'
      responses:
        '200':
          description: OK
        '204':
          description: Unknown client fixed successfully.
        '404':
          description: Incorrect client or portal specified.
components:
  schemas:
    FixUnknownClientRequest:
      type: object
      properties:
        phoneCallId:
          type: integer
          format: int32
        clientId:
          type: integer
          format: int32
        primaryNumber:
          type: string
          nullable: true
      additionalProperties: false

````